aboutsummaryrefslogtreecommitdiffstats
path: root/Scripts
diff options
context:
space:
mode:
authorrowanbeentje <rowan@beent.je>2015-05-25 23:34:30 +0100
committerrowanbeentje <rowan@beent.je>2015-05-25 23:34:30 +0100
commitf94aeb596a00c455063993dceacba308723bf7da (patch)
tree5ec40c79c6f7c72c8cfe3f09b1f3b94183fb17aa /Scripts
parent47506fb777390a4657a51ffd2e520b33ed1e08d9 (diff)
downloadsequelpro-f94aeb596a00c455063993dceacba308723bf7da.tar.gz
sequelpro-f94aeb596a00c455063993dceacba308723bf7da.tar.bz2
sequelpro-f94aeb596a00c455063993dceacba308723bf7da.zip
Fix comment setting when Python errors due to build version mismatches on manual builds
Diffstat (limited to 'Scripts')
-rwxr-xr-xScripts/build.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/Scripts/build.sh b/Scripts/build.sh
index 88b2f948..24343ee9 100755
--- a/Scripts/build.sh
+++ b/Scripts/build.sh
@@ -126,9 +126,11 @@ mkdir -p "${SHARED_SUPPORT_DIR}/Default Themes"
cp -R "${SRCROOT}/SharedSupport/Default Themes" "${SHARED_SUPPORT_DIR}"
-# Add a SpotLight comment (can't use applescript from a continuous integration server, so we manually set the binaryplist with xattr)
-# osascript -e "tell application \"Finder\" to set comment of (alias (POSIX file \"${BUILD_PRODUCT}\")) to \"MySQL database pancakes with syrup\""
+# Add a SpotLight comment (can't use applescript from a continuous integration server, so we manually set the binaryplist with xattr - but if this fails fall back to applescript)
xattr -wx com.apple.metadata:kMDItemFinderComment "62 70 6C 69 73 74 30 30 5F 10 22 4D 79 53 51 4C 20 64 61 74 61 62 61 73 65 20 70 61 6E 63 61 6B 65 73 20 77 69 74 68 20 73 79 72 75 70 08 00 00 00 00 00 00 01 01 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 2D" "${BUILD_PRODUCT}"
+if [ $? -ne 0 ] ; then
+ osascript -e "tell application \"Finder\" to set comment of (alias (POSIX file \"${BUILD_PRODUCT}\")) to \"MySQL database pancakes with syrup\""
+fi
FRAMEWORKS_LIST="/tmp/sp.frameworks.$$"